Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028540
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-01-08 11:322015-08-17 10:44
ReporterVictorVillarView Statuspublic 
Assigned Toreinaldoguerra 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision08893a1ce9e7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028540: There is no filter in the locator selector in Pending Goods Receipt window

DescriptionThere is no filter in the locator selector in Pending Goods Receipt window
Steps To ReproduceAs group admin role,
Go to Purchase order window,
 Create a new register for España Región Norte organization.
 Warehouse: Región Norte.
 Lines: Agua sin gas.
 qty: 1
Complete it.

Go to Pending Purchase Goods Receipt window:
   Organization: España Región Norte
It will appear the last purchase order created before.
 If you open the locator selector is not filtered, and you can see every locator in the application.

 
Proposed SolutionIt could be different solutions:
  1.- filter by the warehouse of the Purchase order header.
  2.- filter by the warehouse that belongs to the organization of the purchase order header

The functional team should make a decission


Funtional team decission is:
 if you open now the locator selector, you can see that warehouse locators that belongs to the organization of the purchase order header.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029962 closedAtulOpenbravo Wrong storage bin can be selected in Pending Goods Receipt window 
related to defect 0029267 closedAtulOpenbravo You can launch Pending Goods Receipts process with wrong Locators 
related to defect 0030959 newTriage Finance Pending Goods Receipt: Locator selector different behavior 

-  Notes
(0073756)
reinaldoguerra (developer)
2015-01-23 14:38

Test plan used:
1- Login into Openbravo ERP.
2- Go to Purchase order window
3- Create a new register for España Región Norte organization and Warehouse: Región Norte
4- Go to lines tab and create a new register, select product: Agua sin gas, qty: 1
5- Book it
6- Go to Pending Goods Receipt window:
7- Organization: España Región Norte
8- It will appear the last purchase order created before.
9- If you open the locator selector you can see that now only locators for warehouses that belongs to España Región Norte organization (purchase order header's organization), will be shown.
(0074074)
hgbot (developer)
2015-02-04 12:38

Repository: erp/devel/pi
Changeset: 08893a1ce9e7ff6ca581740012ec4aeecf8986a2
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Thu Jan 22 22:48:31 2015 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/08893a1ce9e7ff6ca581740012ec4aeecf8986a2 [^]

Fixed bug 28540: No filter in the locator selector for Pending Goods Receipt.

Purchase order header's organization ids, are now retrieved in Pending Goods Receipt window selecting lines, and sent during locator's selector opening action.
So now when locator's selector in Pending Goods Receipt is opened, only locators for the warehouses that belongs to the purchase order header's organization, will be shown.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.html
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.xml
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0074075)
aferraz (developer)
2015-02-04 12:41

Code review + Testing OK
(0074230)
hudsonbot (developer)
2015-02-05 15:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f60af6e6baca [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-01-08 11:32 VictorVillar New Issue
2015-01-08 11:32 VictorVillar Assigned To => Sandrahuguet
2015-01-08 11:32 VictorVillar Modules => Core
2015-01-08 11:32 VictorVillar Triggers an Emergency Pack => No
2015-01-22 17:43 reinaldoguerra Assigned To Sandrahuguet => reinaldoguerra
2015-01-22 17:43 reinaldoguerra Status new => scheduled
2015-01-23 14:38 reinaldoguerra Note Added: 0073756
2015-02-04 12:36 aferraz Note Added: 0074073
2015-02-04 12:36 aferraz Review Assigned To => aferraz
2015-02-04 12:38 hgbot Checkin
2015-02-04 12:38 hgbot Note Added: 0074074
2015-02-04 12:38 hgbot Status scheduled => resolved
2015-02-04 12:38 hgbot Resolution open => fixed
2015-02-04 12:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/08893a1ce9e7ff6ca581740012ec4aeecf8986a2 [^]
2015-02-04 12:40 aferraz Note Deleted: 0074073
2015-02-04 12:41 aferraz Note Added: 0074075
2015-02-04 12:41 aferraz Status resolved => closed
2015-02-05 15:42 hudsonbot Checkin
2015-02-05 15:42 hudsonbot Note Added: 0074230
2015-03-12 18:02 VictorVillar Relationship added related to 0029267
2015-05-21 16:33 ngarcia Relationship added related to 0029962
2015-08-11 15:01 ngarcia Issue Monitored: ngarcia
2015-08-17 10:44 psanjuan Proposed Solution updated
2015-09-29 13:08 vmromanos Relationship added related to 0030959


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker